Skip to main content
POST
/
newsletter
/
subscribers
Create Subscriber
curl --request POST \
  --url https://api.getmaito.com/v1/newsletter/subscribers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "reader@example.com",
  "sourceType": "api",
  "source": "custom_website",
  "optInAttestation": true
}
'
{
  "data": {
    "id": "<string>",
    "workspaceId": "<string>",
    "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "emailNormalized": "jsmith@example.com",
    "emailOriginal": "<string>",
    "subscribedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "source": "<string>",
    "sourceIssueId": "<string>",
    "sourcePostId": "<string>",
    "sourceCtaLinkId": "<string>",
    "sourceVisitorId": "<string>",
    "unsubscribedAt": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getmaito.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:your-api-key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Use from a backend server only. optInAttestation must be true to confirm the subscriber explicitly opted in.

email
string<email>
required
optInAttestation
enum<boolean>
required
Available options:
true
tags
string[]
customFields
object
sourceType
enum<string>
Available options:
manual,
subscribe_page,
social_post,
embed,
import,
api,
referral
source
string
Maximum string length: 160
sourceIssueId
string
sourcePostId
string
sourcePlatform
enum<string>
Available options:
x,
linkedin

Response

Subscriber created or updated.

ok
enum<boolean>
required
Available options:
true
data
object
required